Skip to main content
PATCH
/
campaigns
/
{campaign_id}
/
rules
/
{rule_id}
cURL
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/campaigns/{campaign_id}/rules/{rule_id} \
  --header 'Content-Type: application/json' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>' \
  --data '
{
  "values": [
    "DECLINED",
    "REJECTED"
  ],
  "conditional": "ONE_OF"
}
'
{
  "data": {
    "id": "f1e2d3c4-b5a6-7890-abcd-ef1234567890",
    "rule_type": "PAYMENT_STATUS",
    "values": [
      "DECLINED"
    ],
    "conditional": "EQUAL",
    "metadata_key": null,
    "status": "ACTIVE",
    "created_at": "2025-07-01T12:05:00Z",
    "updated_at": "2025-07-01T12:05:00Z"
  }
}
Updates a rule’s type, values, conditional, or metadata key. Visit the conditional operators reference for more information on how to use them. See the create rules endpoint for more examples.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

campaign_id
string
required

The campaign identifier (UUID).

rule_id
string
required

The rule identifier (UUID).

Body

application/json
rule_type
string

New rule type (see Rule Types Reference)

values
string[]

New values array. Not required for UNIQUE_BY_USER.

conditional
string

New comparison operator. Not required for USER_COMMS_PER_DAY or UNIQUE_BY_USER. See Conditional Operators Reference.

metadata_key
string

New metadata key. Required when rule_type is METADATA. The metadata field name to evaluate.

Response

200 - application/json